@import '../../../../../../../../../vendor/scandipwa/source/src/app/component/CartItem/CartItem.style';

.CartItem {
    border: 1px solid $grey-1-color;
    margin-bottom: 24px;

    &:last-child {
        margin-bottom: 24px;
    }

    &-Wrapper {
        padding: 0;
        grid-template-columns: 10rem auto;

        @include after-mobile {
            grid-template-columns: 13.5rem auto;
        }

        @include mobile {
            grid-gap: 0;
        }

        a {
            display: inherit;
        }
    }

    &-Picture {
        padding-bottom: 100%;
    }

    &-HeadingTop {
        margin-bottom: 5px;
        color: $grey-2-color;
        font-size: 10px;

        @include mobile {
            display: none;
        }
    }

    &-Heading {
        font-size: 14px;
        font-weight: 500;

        @include before-desktop {
            padding-right: 24px;
        }
    }

    &-Content {
        display: block;
        height: initial;
        padding: 16px;

        @include mobile {
            padding: 12px 8px 8px 12px;

            .CartItem-Last {
                display: none;
            }
        }

        .CartItem-Heading {
            margin-bottom: 30px;

            @include mobile {
                margin-bottom: 5px;
            }
        }

        &_isLikeTable {
            align-self: initial;
        }
    }

    &-OptionsSection {
        @include mobile {
            position: static;
        }
    }

    &-Link {
        > .CartItem-Last {
            @include after-mobile {
                display: none;
            }
        }
    }

    .CartItem {
        &-QtyWrapper {
            display: inline-block;
            font-size: 12px;

            @include mobile {
                position: absolute;
                right: 12px;
                bottom: 12px;
            }
        }

        &-QtyLabel {
            margin: 0 5px 0 0;
        }

        &-QtyField {
            display: inline-block;
            margin-top: 4px;
        }

        &-QtySelectWrapper {
            @include mobile {
                display: flex;
                right: 8px;
                bottom: 8px;
                flex-direction: column;
            }
        }

        &-QtyFieldSelect {
            width: 44px;
            height: 22px;
            min-width: auto;
            min-height: auto;
            padding: 0 0 0 16px;
            border-color: $grey-3-color;
            font-size: 12px;
            font-weight: normal;
            line-height: 10px;
        }

        &-Qty {
            button {
                width: 22px;
                height: 22px;
                font-size: 12px;

                span {
                    @include mobile {
                        top: 0;
                    }
                }
            }

            input {
                height: 22px;
                min-height: initial;
                border: 1px solid $black;
                border-right: 0;
                border-left: 0;
                font-size: 12px;

                @include mobile {
                    width: 30px;
                    min-width: 30px;
                }
            }
        }
    }

    &-Options {
        display: inline-block;
        margin: 0 10px 5px 0;
    }

    &-Option {
        padding: 0;
        border: none;
        color: $black;
        font-size: 12px;
        text-transform: none;

        span {
            padding-left: 5px;
            font-weight: 500;
        }
    }

    &-Actions {
        margin: initial;
        position: absolute;
        top: 0;
        right: 10px;
        opacity: 0;
        background-color: initial;
        pointer-events: none;

        @include before-desktop {
            border: none;
            top: 16px;

            &::before,
            &::after {
                display: none;
            }
        }

        .ProductWishlistButton {
            display: none;
        }

        &_isLikeTable {
            justify-content: end;

            .ProductWishlistButton {
                display: flex;
                width: auto;
                padding-right: 25px;
                top: 22px;
                right: 7px;
                align-items: center;
                opacity: 1;

                @include desktop {
                    position: relative;
                    top: 1px;
                    right: 0;

                    > span {
                        display: block;
                        color: var(--cart-item-actions-color);
                    }

                    &::after,
                    &::before {
                        top: 10px;
                        right: 0;
                        left: unset;
                        transform: scale(1.1);
                    }
                }
            }
        }

        &_isEditing {
            opacity: 1;
            pointer-events: all;
        }

        &_showActions {
            width: auto;

            .CartItem-Delete {
                padding-left: 0;
                margin-left: 15px;
            }

            @include before-desktop {
                right: 0;
                opacity: 1;
                pointer-events: all;

                .CartItem-Delete {
                    padding-left: 20px;
                    margin: 0;

                    &::after {
                        width: 20px;
                        height: 20px;
                        top: 11px;
                        right: -3px;
                        left: unset;
                    }
                }
            }
        }
    }

    &-Price {
        position: relative;
        font-size: 14px;
        font-weight: normal;
    }

    &-OptionsWrapper {
        display: flex;
        justify-content: space-between;

        @include mobile {
            position: static;
        }
    }

    &-PriceWrapper {
        @include mobile {
            position: absolute;
            bottom: 12px;
            left: 12px;
        }
    }

    .ProductPrice {
        font-size: 14px;
        font-weight: normal;

        @include mobile {
            text-align: left;

            &-SpecialPrice,
            &-RegularPrice {
                display: block;
                margin: 0 0 5px;
            }
        }

        &-SpecialPrice {
            margin-right: 16px;
            color: $default-red-color;

            @include mobile {
                font-size: 12px;
            }
        }

        &-RegularPrice {
            margin-right: 10px;
            color: $grey-3-color;
            font-size: 12px;
            text-decoration: line-through;

            @include mobile {
                font-size: 10px;
            }
        }

        &-Discount {
            display: inline-block;
            padding: 2px 4px;
            border: 1px solid $default-red-color;
            color: $default-red-color;
            font-size: 12px;

            @include mobile {
                font-size: 10px;
            }
        }
    }

    [type='number'] ~ button:disabled {
        opacity: 1;
    }

    &-Last {
        display: inline-block;
        margin-top: 10px;
        color: $default-red-color;
        font-size: 12px;

        @include mobile {
            display: block;
            padding: 8px;
            border-top: 1px solid $grey-1-color;
            margin: 0;
            text-align: center;
        }
    }

    &-Delete {
        font-size: 12px;

        @include mobile {
            span {
                display: none;
            }
        }

        &::before {
            display: none;
        }

        &::after {
            border: none;
            left: initial;
            box-shadow: none;
            content: url('../../style/images/cross.svg');
        }
    }

    &Doublebox {
        .CartItem-Picture {
            padding-bottom: initial;
        }

        .Image {
            display: block;
        }

        &-Heading {
            margin-bottom: 20px;
            font-weight: bold;

            @include mobile {
                margin-bottom: 0;
                font-size: 12px;
            }
        }

        &-Content {
            font-size: 12px;

            @include desktop {
                width: 64%;
            }

            @include mobile {
                font-size: 10px;
            }
        }
    }

    &-RemoveStatus {
        display: flex;
        height: 100%;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        > p:last-of-type {
            margin-bottom: 16px;
        }

        button {
            display: inline-flex;

            &::before {
                margin-right: 10px;
                content: url('../../style/images/undo.svg');
            }
        }
    }
}

.CartOverlay-Items {
    .CartItem-QtySelectWrapper {
        display: none;
    }
}
